Bug 417921 - snmptrapd when using traphandlers defaults to /tmp for temp files, breaks selinux rules
snmptrapd when using traphandlers defaults to /tmp for temp files, breaks sel...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp (Show other bugs)
4.6
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Safranek
:
Depends On: 401211
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 06:53 EST by Jan Safranek
Modified: 2008-07-24 15:50 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0700
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:50:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Safranek 2007-12-10 06:53:08 EST
+++ This bug was initially created as a clone of Bug #401211 +++

Description of problem:
snmptrapd requires write access to /tmp/snmpdXXXXXX when using traphandlers. 
This can be defined through NETSNMP_TEMP_FILE_PATTERN.

I suggest creating a new context for these files as well as a context for
executing the external traphandlers.

I also see that the "self:udp_socket connect" context must be allowed as well. 
This I do not completely understand.

How reproducible:
Very

Steps to Reproduce:
1. SELinux set to enforcing
2. Create traphandler in /etc/snmp/snmptrapd.conf
3. Send trap to snmptrapd that will be executed by traphandler
4. Review audit log

-- Additional comment from jsafrane@redhat.com on 2007-12-03 07:28 EST --
dwalsh: what do you think about it? snmptrapd daemon really needs to
create/write/read/remove /tmp/snmp* files.


-- Additional comment from dwalsh@redhat.com on 2007-12-03 13:05 EST --
Daemons should not be using /tmp for anything.  /tmp is for users.
/var/run is for daemons.

/tmp can be attacked by a user.

/var/run can not.

So smpmtrapd should be setup to write its temp files to /var/run.  If it needs
to have the temporary files survive a reboot it should use /var/cache.
Comment 1 RHEL Product and Program Management 2007-12-10 07:04:50 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2008-07-24 15:50:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0700.html

Note You need to log in before you can comment on or make changes to this bug.